Jump to content

resplandor2010

Members
  • Posts

    98
  • Joined

  • Last visited

resplandor2010's Achievements

Newbie

Newbie (1/14)

  • Week One Done Rare
  • One Month Later Rare
  • One Year In Rare

Recent Badges

3

Reputation

  1. Exactamente esa era el problema. Llevo todo un día liado con esto, y era cuestión de una carpeta que no estaba en el sitio. Lo que no entiendo, es que si había subido la carpeta default-bootstrap, completa, como ha podido ocurrir esto. Bueno muchas gracias por tu ayuda, doy el tema por solucionado.
  2. Los css, si están todos, pero la carpeta fonts, no está en la ruta que indicas, sino dentro de js, osea /themes/default-bootstrap/js/fonts. Como indiqué, subí completamente la carpeta default-bootstrap, tal y como viene por defecto.
  3. Hola a todos. Recientemente he actualizado a la versión 1.6, y todo iba bien, hasta que habilité la compresión smart cache para css. Después de eso, en un momento determinado, desaparecieron todos los iconos del prestahop. Llevo más de un día buscando soluciones, pero no logro arreglarlo. Se que tiene que ver con las fuentes Awesome, pero no se que hay que hacer. He deshabilitado todo tipo de cache, he vaciado la cache, he vuelto a subir el tema por defecto,. Ya no se que más intentar, y la verdad es que estoy desesperado. Uso el último prestashop, el 1.6.0.14, con la plantilla por defecto. Por favor si alguien me puede indicar algo, se lo agradecería mucho. Un saludo
  4. Hola: Me gustaría poder cambiar la posición del texto que aparece en el apartado de los vales. Por defecto, las columnas, tienen el texto alineado a a la izquierda, y me gustaría que estuviese centrado. Se que debe estar en algún css, pero por mucho que busco, no lo encuentro. Mis pocos conocimientos no dan para más. Si algien me puede indicar si es posible cmabier esto que comento, y dónde tengo que modificarlo, se lo agradecería mucho. Un saludo.
  5. Gracias por tu respuesta. Tengo habilitado tal y como dices, e instalado el modulo que comentas. De hecho si lo deshabilita, no hay compresion ninguna. Como he dicho anteriormente, en la mayoria de test que hago, aparece que tengo compresión gzip. Sin embargo el pagespeed de gogle, indica que no lo hay en los css ni en los js. Al poner el siguiente código en el .htcaccess El pagespeed ya dice que está funcionando correctamente la compresión, pero la página se ve sin ningún estilo. He quitado el ".css" del código, y la página se ve correctamente, pero el pagespeed indica que no hay compresión en los css. La verdad es que no se porque desaparecen los estilos cuando se pone a funcionar la compresión. A ver si alguien puede arrojar algo de luz.
  6. Hola: He estado buscando sobre este tema, y veo que hay varias referencias, pero no encuentro ninguna solución. La cuestión, es que el google PageSpeed, indica que no tengo habilitada la compresión. Sin embargo hago el analisis en la página gidnetwork.com, y me dice que si que está habilitado. Haciendo comprobaciones, he detectado, que si que está habilitado, pero a medias. La compresión con los archivos .css y .js, osea hojas de estilo y javascript, no está funcionando. Por eso da error en la página de google. Investigando por ahí, he encontrado un código, que poniendolo en el .htaccess de la raiz del dominio, si habilita dicha compresión, con lo cual desaparece el error en PageSpeed, pero el prestashop se ve, como si no tuviese ninguna hoja de estilos. De momento lo he dejado sólo para los .js, por lo que google me indica todavía que no tengo compresión en los .css. ¿A alguien más le ha pasado esto?, ¿Alguien sabe como solucionarlo?. Utilizo el prestashop 1.4.11 Gracias. Un saludo
  7. Hola: Recientemente me han llamado de eKomi, para ofrecerme una oferta, que al principio veia bastante bien, pero después he visto este apartado, y ya me surgen dudas. La oferta era de 2 meses de prueba, y después un contrato de 12 meses a 49 €/mes. A mi personalmente me parece mucho, para lo que puede ser el servicio, pero no se si realmente vale la pena. Ahora he visto el modulo que comentáis aquí, y me parece un precio razonable. La cuestión, es ¿con este modulo voy a tener unas prestaciones similares? La diferencia de preio entre eKomi y este modulo es abismal, ¿que me recomendais? Cualquier sugerencia será bien recibida. Un saludo.
  8. Hola: Yo tengo prestashop 1.4.11, y he estado probando esto que dices, y haciendo lo que comentas, no consigo que salgan los portes gratis. Lo mejor que puedes hacer es actualizar el prestashop.
  9. Como te dice Jesa, seguramente tienes mal los rangos de pesos. En el ejemplo, que has puesto, está mal. 0-5kg= X 6-10kg=X Lo correcto es 0-5kg= X 5-10kg=X Normalmente si un peso no está definido, el programa aplica el mayor. Que es lo que te pasa a tí.
  10. Hola: Yo lo he solucionado de una manera muy sencilla. Primero, creas un transportista que se llame, por ejemplo "recoger en tienda", le asignas el importe 0 €, en todos los ragos de precios o peso, que tengas establecido. Después, duplicas un modulo de pago, por ejemplo el contra-reembolso, y cambias los textos, para adaptarlos al pago en efectivo. Y finalmente, con el modulo "ship to pay", le asignas el pago en efectivo al transportista creado. Con todo esto ya lo tienes solucionado. Lo tengo funcionando en la versión de prestahop 1.4.11
  11. Hola: Finalmente, indagando y comparando ficheros, he descubierto la parte del código, que hace que muestre los precios unitarios con un céntimo de más o de menos, en algunos artículos. El fichero afectado, es el classes/order.php como ya apuntabamos anteriormente. El código de la versión 1.4.9 (que es el que funciona bien), es el siguiente if ($this->_taxCalculationMethod == PS_TAX_EXC) $row['product_price'] = Tools::ps_round($row['product_price'], 2); else $row['product_price_wt'] = Tools::ps_round($row['product_price'] * (1 + $row['tax_rate'] / 100), 2); $group_reduction = 1; if ($row['group_reduction'] > 0) $group_reduction = 1 - $row['group_reduction'] / 100; if ($row['reduction_percent'] != 0) { if ($this->_taxCalculationMethod == PS_TAX_EXC) $row['product_price'] = ($row['product_price'] - $row['product_price'] * ($row['reduction_percent'] * 0.01)); else { $reduction = Tools::ps_round($row['product_price_wt'] * ($row['reduction_percent'] * 0.01), 2); $row['product_price_wt'] = Tools::ps_round(($row['product_price_wt'] - $reduction), 2); } } y el de la 1.4.11, es el siguiente $row['product_price'] = Tools::ps_round($row['product_price'], 2); $row['product_price_wt'] = Tools::ps_round($row['product_price'] * (1 + $row['tax_rate'] / 100), 2); $group_reduction = 1; if ($row['group_reduction'] > 0) $group_reduction = 1 - $row['group_reduction'] / 100; if ($row['reduction_percent'] != 0) { $row['product_price'] = ($row['product_price'] - $row['product_price'] * ($row['reduction_percent'] * 0.01)); $reduction = Tools::ps_round($row['product_price_wt'] * ($row['reduction_percent'] * 0.01), 2); $row['product_price_wt'] = Tools::ps_round(($row['product_price_wt'] - $reduction), 2); } Como podési comprobar, hay 2 sentencias IF Else, que en la versión 1.4.11 han desaparecido. Yo de programación no entiendo mucho, pero si pongo esa parte del código igual que está en la versión 1.4.9, en la nueva versión, los precios se muestran correctamente. No se si alguien me puede indicar, si es que ha sido un descuido de programación, o qué. Me parece raro que haya sido un error. Por favor, los que dominási prestashop, decidme si puedo dejar esa parte del código con las sentencias if else, como estaban el la 1.4.9, sin que por ello signifique tener otro tipo de problemas. Gracias de antemano.
  12. Gracias por la información, pero acabo de probar ese archivo, y el problema no se soluciona. Lo curioso del caso, es que el correo que recibe el cliente está correcto, pero en el pdf generado, el pedido de la parte de administración, y el correo que recibo yo, está mal. Solo funciona correctamente con el archivo de la versión 1.4.9 Es raro que nadie más tenga este problema. La verdad es que no se que hacer, si dejar el archivo de la 1.4.9 en la 1.4.11, o esperar a ver si alguien con mas conocimientos que yo, me puede indicar como solucionarlo.
  13. Hola: Llevo ya varios días con este tema, y finalmente he encontrado cual es el archivo que produce este error. Comparando los posibles archivos que manejan los impuestos con el winmerge, de las versiones 1.4.09 y 1.4.11, he visto que el error lo produce el archivo classes/Order.php He sustituido el archivo comentado, de la versión 1.4.9 a la 1.4.11, y desaparece el problema de los céntimos. Todo esto en local. Ahora viene la gran duda. Si dejo el archivo de la version 1.4.9 en la 1.4.11, ¿podría tener algún problema? Se que lo lógico sería encontrar la parte del código afectada, y cambiarla, en vez de todo el archivo completo, pero yo no se exactamente como hacerlo. Con el winmerge, creo que he localizado la parte del código afectada, pero no se como soluionarlo. Por favor, alguien me puede echar un cable. Gracias.
  14. Hola de nuevo. Estoy ya un poco desesperado, y no enuentro la solución. Creo que todo ha venido al pasar de la versión 1.4.09 a la 1.4.11 Aunque el importe final, sea el correcto, no me gusta que se hagan pedidos, y tando en el correo que se envía, como en el pdf, ponga un precio diferente al real (es sólo 1 centímo, pero no queda bien). Por ejemplo. Nunca he tenido este problema con las demás versiones y ya no se por dónde mirar. Por favor , si alguien puede indicarme algo, se lo agradecería mucho. Un saludo
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More